com.sun.jna.platform.win32

## Class WinDef.LPVOID

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WinDef.LPVOID

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    WinDef

      public static class WinDef.LPVOID
      extends PointerType

  LPVOID is simply a Windows API typedef for void* - to pointer to any type so to speak.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LPVOID()` Instantiates a new instance to NULL.
    `LPVOID(Pointer p)` Instantiates a new instance using a given pointer.

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LPVOID

          public LPVOID()

      Instantiates a new instance to NULL.

    - #### LPVOID

          public LPVOID(Pointer p)

      Instantiates a new instance using a given pointer.
      Parameters:
        `p` - the pointer

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.